#
# spec file for package python-telemetry-tempest-plugin
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-telemetry-tempest-plugin
Version:        0.2.0
Release:        1.1
Summary:        Tempest plugin for Telemetry Projects (Aodh, Ceilometer, Gnocchi and Panko)
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/telemetry-tempest-plugin
Source0:        telemetry_tempest_plugin-0.2.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-pbr
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
Requires:       python-gabbi
Requires:       python-oslo.config
Requires:       python-oslo.utils
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
Tempest plugin for Telemetry Project.
It contains tempest tests for Aodh, Ceilometer, Gnocchi and Panko Projects.

%prep
%autosetup -p1 -n telemetry_tempest_plugin-0.2.0
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}

%files %{python_files}
%license LICENSE
%{python_sitelib}/telemetry_tempest_plugin*

%changelog
